Summary:     Library providing XML and HTML support
Name:        libxml2
Version:     2.6.14
Release:     2.pp
License:     MIT
Group:       System Environment/Libraries
Source0:     ftp://xmlsoft.org/%{name}-%{version}.tar.gz
URL:         http://xmlsoft.org/
Buildroot:   /var/tmp/%{name}-root
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    glibc readline ncurses zlib
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/ldconfig
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel readline-devel ncurses-devel zlib-devel
ExclusiveOS: linux

%description
This library allows to manipulate XML files. It includes support
to read, modify and write XML and HTML files. There is DTDs support
this includes parsing and validation even with complex DtDs, either
at parse time or later once the document has been modified. The output
can be a simple SAX stream or and in-memory DOM like representations.
In this case one can use the built-in XPath and XPointer implementation
to select subnodes or ranges. A flexible Input/Output mechanism is
available, with existing HTTP and FTP modules and combined to an
URI library.


%package devel
Summary:     Development files for %{name}
Group:       Development/Libraries
Requires:    %{name} = %{version}-%{release} %{name}.pp
Provides:    %{name}-devel.pp

%description devel
This package contains the header files, libraries, and documentation
for building programs which use %{name}.


%prep
%setup -q


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/usr           \
	--sysconfdir=/etc       \
	--localstatedir=/var    \
	--mandir=/usr/share/man \
	--enable-shared         \
	--enable-static         \
	--enable-ipv6           \
	--without-python        \
	--with-zlib             \
	--with-readline         \
	--with-thread-alloc     \
	--with-history
make


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}/html docs
mv $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}/examples docs
mv $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}/Copyright docs


%post
/sbin/ldconfig


%postun
/sbin/ldconfig


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog Copyright INSTALL
%doc NEWS README TODO*
/usr/bin/xmlcatalog
/usr/bin/xmllint
/usr/lib/*.so.*
/usr/share/man/man1/xmllint*
/usr/share/man/man1/xmlcatalog*

%files devel
%defattr(-, root, root)
%doc docs/*
/usr/bin/xml2-config
%dir /usr/include/libxml2
/usr/include/libxml2/*
/usr/lib/*.*a
/usr/lib/*.so
/usr/lib/*.sh
/usr/lib/pkgconfig/*
/usr/share/aclocal/*
/usr/share/man/man1/xml2-config*
/usr/share/man/man3/*


%changelog
* Thu Oct 21 2004 peter.pramberger@member.fsf.org
- created

